@font-face {
    font-family: Pixearg;
    font-style: normal;
    src: url("fonts/PIXEARG_.TTF");
}

@font-face {
    font-family: Tseng;
    src: url(fonts/Px437_TsengEVA_132_6x14.ttf);
}

@font-face {
    font-family: Pixel Digivolve;
    font-style: normal;
    src: url("fonts/Pixel Digivolve.otf");
}

@font-face {
    font-family: visitor1;
    font-style: normal;
    src: url("fonts/visitor1.ttf");
}

@font-face {
    font-family: consola;
    font-style: normal;
    src: url("fonts/consola.ttf");
}

@font-face {
    font-family: LCDPHONE;
    font-style: normal;
    src: url("fonts/DOTMATRI.TTF");
}

@font-face {
    font-family: KOMODORE;
    font-style: normal;
    src: url("fonts/KOMOD___.TTF");
}

@font-face {
    font-family: pixelFont;
    font-style: normal;
    src: url("fonts/PxPlus_HP_100LX_6x8.ttf");
}

@keyframes fadeIn {
    0% {
        opacity: 0;
    }
    100% {
        opacity: 1;
    }
}

@keyframes fadeOut {
    0% {
        opacity: 1;
    }
    100% {
        opacity: 0;
    }
}

@keyframes fadeFromBlack {
    0% {
        filter: brightness(0);
    }
    100% {
        filter: brightness(1);
    }
}

*,
*::before,
*::after {
    box-sizing: border-box;
}

:root {
    --download-preview-container-width: 580px;
    --download-preview-container-height: 370px;
}

body {
    background-color: black;
    font-family: Pixearg, Arial, Helvetica, sans-serif;
    font-size: small;
    color: white;
    cursor: none;
}

canvas {
    filter: brightness(1.25);
}

a {
    text-decoration: none;
    image-rendering: pixelated;
}

a:hover {
    cursor: none;
}

input:hover {
    cursor: none;
}

hr {
    clear: both;
    height: 4px;
    max-width: 1500px;
    background-color: none;
    border-color: none;
}

h1 {
    padding-bottom: 10px;
    padding-left: 10px;
    text-align: center;
}

img,
picture,
svg {
    max-width: 100%;
    image-rendering: pixelated;
}

.wrapper {
    width: min(calc(300 / 16 * 1rem), calc(100% - 48px));
    margin-inline: auto;
}

#backgroundCanvas {
    position: fixed;
    margin: auto;
    overflow: clip;
    top: 0px;
    left: 0px;
}

.headerPadding {
    position: relative;
    display: block;
    width: 100%;
    height: 140px;
    margin: auto;
}

#header {
    display: block;
    top: 0%;
    background-color: black;
    position: fixed;
    width: 900px;
    left: calc(50% - 450px);
    height: 150px;
    margin: 0px;
}

#logo {
    width: 90px;
    height: auto;
    margin: auto;
    display: block;
    margin-bottom: 10px;
}

#taskbar {
    width: 90%;
    margin: auto;
    margin-top: 0px;
    text-align-last: justify;
}

.taskbarItem {
    display: inline;
    margin: auto;
    width: 20%;
    margin-left: 2.5%;
    margin-right: 2.5%;
    height: auto;
    text-align-last: center;
    animation: fadeIn 0.5s linear 1 forwards;
    image-rendering: pixelated;
}

#home {
    position: relative;
    image-rendering: pixelated;
    width: 95%;
    max-width: 1250px;
    height: auto;
    margin-inline: auto;
    overflow-x: hidden;
    animation: fadeIn 0.5s linear 1 forwards;
}

#homeWarning {
    width: max(60%, 500px);
    margin: auto;
    margin-top: 25px;
    display: block;
}

#welcomeMessage {
    width: 80%;
    margin: auto;
    display: block;
}

.scroll {
    background-color: black;
    position: relative;
    font-family: Tseng, Arial, Helvetica, sans-serif;
    font-size: 1.75em;
    white-space: nowrap;
    padding-left: 10px;
    color: red;
    display: inline;
    margin-top: 50px;
}

#homeWaffle {
    font-family: KOMODORE, Arial, Helvetica, sans-serif;
    float: left;
    display: inline;
    width: 45%;
    margin-left: 5%;
    padding: 10px;
    font-size: 2em;
    filter: brightness(200%);
    background-color: black;
    color: greenyellow;
}

#changelog {
    color: green;
    font-family: consola, Arial, Helvetica, sans-serif;
    font-size: 1.2em;
    filter: brightness(200%);
    display: inline;
    background-color: black;
    border: solid white;
    padding: 10px;
    width: 30%;
    height: 300px;
    overflow-y: scroll;
    float: right;
    margin: auto;
    margin-right: 5%;
}

.changelogEntry {
    margin: auto;
    text-align-last: center;
}

.sectionTitle {
    display: block;
    width: 60%;
    height: auto;
    margin: auto;
}

.about {
    padding-inline: 25px;
    padding-top: 25px;
    padding-bottom: 10px;
    animation: fadeIn 0.5s linear 1 forwards;
    width: 70vw;
    max-width: 125vh;
    margin-inline: auto;
    image-rendering: pixelated;
}

#aboutTitle {
    position: relative;
    width: 40vw;
    max-width: 60vh;
    margin: auto;
    font-size: min(1vw, 1.5vh);
    background-color: black;
}

.aboutWriting {
    display: inline;
    width: calc(95% - 300px);
    font-size: 1.75em;
    color: gray;
    font-family: Tseng, Arial, Helvetica, sans-serif;
}

.aboutInfobox {
    float: inline-end;
    width: 300px;
    font-family: sans-serif;
    font-size: 1.25em;
    background-color: white;
    color: black;
    border: solid black;
    padding: 5px;
}

.aboutPara {
    background-color: black;
    color: white;
    padding: 5px;
}

.infoboxHeading {
    display: block;
    font-weight: bold;
    background-color: rgb(176, 196, 222);
    color: black;
    text-align-last: center;
    margin-top: 2%;
    margin-bottom: 0%;
}

.infoboxBit {
    font-style: italic;
    margin: auto;
    text-align-last: center;
}

.infoboxSubject {
    display: block;
    float: left;
    margin: 2%;
}

.infoboxInfo {
    margin: 2%;
    width: 60%;
    float: right;
}

.software {
    background-color: black;
    width: 80vw;
    max-width: 125vh;
    padding: 25px;
    margin: auto;
    animation: fadeIn 0.25s linear 1 forwards;
    border-radius: 10px;
}

#introEntry {
    position: relative;
    background-color: none;
    width: 80vw;
    max-width: 125vh;
    padding: 25px;
    margin: auto;
    animation: fadeIn 0.25s linear 1 forwards;
}

.softwareIntro {
    width: 50%;
    margin: auto;
    margin-bottom: 25px;
    color: black;
    background-color: white;
    padding: 10px;
}

.downloadBox {
    display: block;
    max-width: 1250px;
    overflow: auto;
    margin: auto;
    border-radius: 10px;
    margin-bottom: 25px;
}

.downloadBox.Bullet {
    background-image: url("images/Bullet/Background.png");
    background-repeat: repeat;
}

.downloadBox.SGPH {
    background-image: url("images/SGPH/Background.png");
    background-size: 75px;
    image-rendering: pixelated;
}

.downloadBox.Tessa {
    background-image: url("images/Tessa/Background.png");
    image-rendering: pixelated;
}

.downloadBox.HookJump {
    background-image: url("images/HookJump/Background.png");
    background-size: 2000px;
    image-rendering: pixelated;
}

.downloadBox.SpaceRush {
    background-color: black;
}

.downloadButtonBar {
    width: 80%;
    margin: auto;
    margin-top: 3%;
    display: block;
}

.downloadButton {
    display: inline-block;
    color: white;
    font-size: 1em;
    border: solid white;
    background-color: black;
    padding: 5% 0%;
    width: 35%;
    margin-left: 7.5%;
    margin-right: 7.5%;
    text-align: center;
}

.downloadButton.HookJump {
    color: black;
    background-color: rgb(75%, 0%, 0%);
}

.downloadButton:hover {
    color: black;
    background-color: white;
}

.downloadButton.Bullet:hover {
    background-color: red;
    color: black;
    border: solid black;
}

.downloadButton.HookJump:hover {
    background-color: black;
    color: rgb(75%, 0%, 0%);
    border: solid rgb(75%, 0%, 0%);
}

.downloadButton.Tessa:hover {
    background-color: rgb(62.5%, 62.5%, 62.5%);
    border: solid black;
}

.downloadInfo {
    float: right;
    display: inline;
    width: 50%;
    margin: auto;
    margin-top: 3%;
    margin-bottom: 3%;
}

.downloadDesc {
    background-color: black;
    font-size: 1.1em;
    color: gray;
    display: block;
    width: 75%;
    padding: 2%;
    margin: auto;
}

.downloadDesc.HookJump {
    background-color: rgb(75%, 0%, 0%);
    border-radius: 10%;
}

.downloadTitle {
    font-size: 3vw;
    display: block;
    text-align: center;
    margin: 25px;
}

.downloadLogo {
    display: block;
    margin: auto;
    height: 7em;
    width: auto;
    image-rendering: pixelated;
    margin-top: 1%;
    margin-bottom: 1%;
}

.Tessa {
    color: rgb(75%, 75%, 75%);
    border-color: rgb(75%, 75%, 75%);
    font-family: consola, Arial, Helvetica, sans-serif;
    font-size: 1.05em;
}

.SGPH {
    color: white;
    font-size: 1em;
}

.HookJump {
    color: black;
    border-color: black;
    font-family: pixelFont, Arial, Helvetica, sans-serif;
    font-size: 1em;
}

.Bullet {
    color: red;
    font-family:
        Pixel Digivolve,
        Arial,
        Helvetica,
        sans-serif;
    border-color: red;
    font-size: 1.1em;
}

.SpaceRush {
    color: white;
    border-color: white;
    font-family: visitor1, Arial, Helvetica, sans-serif;
    font-size: 1.2em;
}

.downloadImage {
    width: 70%;
    display: block;
    height: auto;
    margin: auto;
    margin-top: 10px;
    border: solid black;
    border-width: 5px;
}

.downloadView {
    float: left;
    width: 50%;
    height: auto;
    margin: auto;
    margin-top: 4%;
    margin-bottom: 4%;
}

.downloadImageSelect {
    width: 80%;
    margin: auto;
    margin-top: 2%;
}

.downloadImageArrow {
    width: 5%;
    margin-block: 2.5%;
    height: auto;
    image-rendering: pixelated;
    display: inline;
}

.downloadImageArrow.Tessa {
    filter: brightness(62.5%);
}

.downloadImageArrow.HookJump {
    filter: brightness(75%);
}

.arrowLeft {
    margin-left: 2.5%;
}
.arrowRight {
    margin-right: 2.5%;
}

.downloadImageCarousel {
    display: inline;
    overflow: auto;
}

.downloadImageCarouselItem {
    width: 15%;
    margin: 1%;
    height: auto;
    border: solid black;
}

.downloadImageCarouselItem:hover {
    filter: brightness(200%);
}

.selectedImg {
    border: solid;
}

.selectedImg.HookJump {
    border: solid rgb(75%, 0%, 0%);
}

.fadeIn {
    animation: fadeFromBlack 0.1s linear 1 forwards;
}

#pre {
    margin: auto;
    border-top: 50%;
    position: absolute;
    width: 20%;
    left: 40%;
    bottom: 45%;
    font-size: 2em;
    background-color: black;
    outline: 100px;
    text-align-last: center;
}

#blog {
    animation: fadeIn 0.25s linear 1 forwards;
    position: relative;
    top: 75px;
    width: 80vw;
    max-width: 125vh;
    height: 650px;
    left: calc(50vw - min(40vw, 62.5vh));
}

#blogHead {
    background-image: url("images/BlogHead.png");
    background-size: 100%;
    background-repeat: no-repeat;
    background-clip: border-box;
    image-rendering: pixelated;
    position: absolute;
    bottom: 13%;
    left: 18%;
    width: 0%;
    height: 100%;
}

#blogList {
    position: relative;
    float: left;
    width: 30%;
    height: 70vh;
    background-color: black;
    margin: auto;
    border-style: solid;
    border-color: rgb(0%, 100%, 0%);
    border-width: 2px;
    color: rgb(0%, 100%, 0%);
    font-family: consola, Arial, Helvetica, sans-serif;
}

.blogButton {
    background-color: black;
    padding-bottom: 25px;
    border-style: solid;
    border-color: rgb(0%, 100%, 0%);
    border-width: 2px;
    margin: 5px;
}

.blogButton:hover {
    background-color: rgb(0%, 100%, 0%);
    color: black;
}

.blogTitle {
    font-size: min(1.25vw, 2vh);
    text-align: left;
    width: 80%;
    padding-bottom: 0px;
}

.blogDate {
    font-size: min(1vw, 1.5vh);
    position: relative;
    margin: auto;
    margin-top: 0px;
    margin-left: 10px;
    float: left;
}

.blogArrow {
    float: right;
    margin: auto;
    margin-right: 10px;
}

#blogHand {
    background-image: url("images/BlogHand.png");
    background-size: 100%;
    background-repeat: no-repeat;
    image-rendering: pixelated;
    position: absolute;
    right: -1.5%;
    top: 5%;
    width: 60%;
    height: 100%;
    pointer-events: none;
}

#blogView {
    float: right;
    position: relative;
    margin: auto;
    width: 60%;
    height: 70vh;
    border-style: solid;
    border-color: gray;
    border-width: 10px;
    animation: fadeIn 0.25s linear 1 forwards;
}

.scanline {
    position: fixed;
    width: 100%;
    height: 100%;
    top: 0%;
    left: 0%;
    background-image: url("images/Scanline.png");
    background-size: 0.25vh;
    pointer-events: none;
    background-color: rgba(255, 0, 255, 0.035);
}

.window {
    position: absolute;
    filter: brightness(0.9);
}

#watchingWin {
    width: 15%;
    height: auto;
    left: 78%;
    top: 25%;
    max-width: 30ch;
}

#chimeraWin {
    width: 25%;
    height: auto;
    left: -5%;
    top: 40%;
    max-width: 40ch;
}

#downhillWin {
    width: 12.5%;
    height: auto;
    left: 82%;
    top: 12%;
    max-width: 20ch;
}

@media screen and (max-width: 900px) {
    .window {
        width: 0% !important;
    }
    .software {
        width: 98%;
        padding: 10px;
    }

    .softwareIntro {
        width: 75%;
        font-size: 0.8em;
    }

    .downloadBox {
        width: 100%;
    }
    .downloadInfo {
        width: 100%;
    }

    .downloadView {
        width: 100%;
    }

    .downloadImage {
        width: 95%;
    }

    .downloadImageSelect {
        width: 95%;
    }

    .about {
        width: 98%;
    }

    .aboutInfobox {
        width: 80%;
        float: none;
        margin: auto;
        font-size: 1.35em;
    }

    .aboutWriting {
        width: 100%;
    }

    .home {
        width: 90%;
        left: 5%;
    }

    #header {
        width: 100%;
        left: 0%;
    }

    #taskbar {
        width: 100%;
    }

    .taskbarItem {
        width: 25%;
        height: auto;
        margin: auto;
    }

    #homeWaffle {
        font-size: 2.5vw;
    }

    #welcomeMessage {
        width: 100%;
    }

    #aboutTitle {
        width: 90%;
        font-size: 1.5vw;
    }

    .sectionTitle {
        width: 100%;
    }

    #blog {
        width: 90%;
        left: 0%;
    }

    #blogList {
        clear: both;
        width: 100%;
        left: 5%;
        margin-bottom: 25px;
    }

    #blogView {
        clear: both;
        width: 100%;
        left: 5%;
    }

    .blogTitle {
        font-size: 2em;
    }

    .blogDate {
        font-size: 1.5em;
    }

    .blogArrow {
        width: 0%;
        height: 0%;
    }
}
